﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infrastructure.Desktop;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Composite.Modularity;

namespace Module.People
{
    public class PeopleModule :IModule
    {
        private readonly IRegionManager regionManager;
        private readonly IUnityContainer container;

        public PeopleModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
            RegisterViewsAndServices();

            IPeoplePresentationModel model = this.container.Resolve<IPeoplePresentationModel>();
            this.regionManager.Regions[RegionNames.ShellMainRegion].Add(model.View);
        }

        protected void RegisterViewsAndServices()
        {
            this.container.RegisterType<IPeoplePresentationModel, PeoplePresentationModel>();
            this.container.RegisterType<IPeopleView, PeopleView>();
        }
    }
}
