﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;
using Infrastructure.Desktop;
using Microsoft.Practices.Composite.Modularity;

namespace Module.StatusBar
{
    public class StatusBarModule :IModule
    {
        private readonly IRegionManager regionManager;
        private readonly IUnityContainer container;

        public StatusBarModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
            RegisterViewsAndServices();

            IStatusBarPresentationModel model = this.container.Resolve<IStatusBarPresentationModel>();
            this.regionManager.Regions[RegionNames.ShellStatusBarRegion].Add(model.View);
        }

        protected void RegisterViewsAndServices()
        {
            this.container.RegisterType<IStatusBarPresentationModel, StatusBarPresentationModel>();
            this.container.RegisterType<IStatusBarView, StatusBarView>();
        }
    }
}
