﻿using Infrastructure.Desktop;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;

namespace Module.Toolbar
{
    public class ToolbarModule :IModule
    {
        private readonly IRegionManager regionManager;
        private readonly IUnityContainer container;

        public ToolbarModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
            RegisterViewsAndServices();

            IToolbarPresentationModel model = this.container.Resolve<IToolbarPresentationModel>();
            this.regionManager.Regions[RegionNames.ShellToolBarRegion].Add(model.View);
        }

        protected void RegisterViewsAndServices()
        {
            this.container.RegisterType<IToolbarPresentationModel, ToolbarPresentationModel>();
            this.container.RegisterType<IToolbarView, ToolbarView>();
        }
    }
}
